Bug 1730965 - Accessing the subscriptions from "Add subscriptions" page redirecting it to either other subscription details or shows 'undefined' or 'no resource laoded'.
Summary: Accessing the subscriptions from "Add subscriptions" page redirecting it to e...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.5.0
Hardware: All
OS: All
urgent
high vote
Target Milestone: 6.6.0
Assignee: Swetha Seelam
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-18 04:29 UTC by Rajan Gupta
Modified: 2019-10-22 19:51 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-katello-3.12.0.15-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:51:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
Add_subscription-Page (209.54 KB, image/png)
2019-07-18 04:29 UTC, Rajan Gupta
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27614 Normal Closed Accessing the subscriptions from "Add subscriptions" page redirecting it to either other subscription details or shows '... 2020-01-08 16:48:58 UTC

Description Rajan Gupta 2019-07-18 04:29:01 UTC
Created attachment 1591666 [details]
Add_subscription-Page

Description of problem:

While accessing the subscriptions from "Add subscriptions" page redirecting it to either other subscription details or shows 'undefined' or 'no resource laoded'. 

Earlier it was landing to a custom product page but after deleting the custom product, it is showing the above mentioned error.

One thing to notice is that URL when we hit the subscription name from the list of the subscriptions on the same page after clicking the "Add subscriptions" is of the same subscription pool ID.

For eg. 
If I click on "Red Hat OpenShift Container Platform" which has the pool id "88938501232323bb48fad245343234322". it will land to the page with the following URL but actual content will be either a custom product or "undefined" or "not loaded" pop up appears.

~~~~
https://satellite.example.com/subscriptions/88938501232323bb48fad245343234322/
~~~~

Version-Release number of selected component (if applicable):
- Red Hat satellite 6.5
  satellite-6.5.1-1.el7sat.noarch


Steps to Reproduce:
1. On Satellite WebUI, navigate to "Content -> Subscriptions".
2. Click "Add subscriptions" which will load the subscription
3. Click on any of the listed subscriptions.

Additional info: 
I don't think this is a critical issue but it's worth looking into.

Comment 4 Jonathon Turel 2019-08-14 14:05:22 UTC
Connecting redmine issue https://projects.theforeman.org/issues/27614 from this bug

Comment 5 Bryan Kearney 2019-08-15 22:01:06 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27614 has been resolved.

Comment 11 jcallaha 2019-08-27 19:36:31 UTC
Verified in Satellite 6.6.0 Beta.

After uploading a valid manifest, I checked all the linked subscriptions.

Each of them linked to the correct subscription in the customer portal, with the url properly formatted.

Comment 13 Bryan Kearney 2019-10-22 19:51:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.